---
title: ora home option
keywords: documentation
layout: documentation
sidebar: ora_config_sidebar
toc: false
---
## Overview


This resource allows you to manage(enable/disable) options in an Oracle database home.

    ora_home_option { '/u01/app/oracle/product/12.1.0/db_home1':
      datamining               => 'disabled',
      direct_nfs               => 'disabled',
      olap                     => 'disabled',
      partitioning             => 'disabled',
      real_application_testing => 'disabled',
    }

## Attributes



Attribute Name                                                        | Short Description                                                                                                  |
--------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ |
[datamining](#ora_home_option_datamining)                             | This resource allows you to manage(enable/disable) the Data Mining RDBMS Files option in an Oracle database home.  |
[direct_nfs](#ora_home_option_direct_nfs)                             | This resource allows you to manage(enable/disable) the DirectNFS option in an Oracle database home.                |
[name](#ora_home_option_name)                                         | The name
                                                                                                          |
[olap](#ora_home_option_olap)                                         | This resource allows you to manage(enable/disable) the OLAP option in an Oracle database home.                     |
[partitioning](#ora_home_option_partitioning)                         | This resource allows you to manage(enable/disable) the Partitioning option in an Oracle database home.             |
[provider](#ora_home_option_provider)                                 | resource.                                                                                                          |
[real_application_testing](#ora_home_option_real_application_testing) | This resource allows you to manage(enable/disable) the Real Application Testing option in an Oracle database home. |




### datamining<a name='ora_home_option_datamining'>


This resource allows you to manage(enable/disable) the Data Mining RDBMS Files option in an Oracle database home.

    ora_home_option { '/u01/app/oracle/product/12.1.0/db_home1':
      ...
      datamining               => 'enabled',
      ...
    }

Valid values are `disabled`, `enabled`. 

[Back to overview of ora_home_option](#attributes)

### direct_nfs<a name='ora_home_option_direct_nfs'>


This resource allows you to manage(enable/disable) the DirectNFS option in an Oracle database home.

    ora_home_option { '/u01/app/oracle/product/12.1.0/db_home1':
      ...
      direct_nfs               => 'enabled',
      ...
    }

Valid values are `disabled`, `enabled`. 

[Back to overview of ora_home_option](#attributes)

### name<a name='ora_home_option_name'>

The name



[Back to overview of ora_home_option](#attributes)

### olap<a name='ora_home_option_olap'>


This resource allows you to manage(enable/disable) the OLAP option in an Oracle database home.

    ora_home_option { '/u01/app/oracle/product/12.1.0/db_home1':
      ...
      olap                     => 'enabled',
      ...
    }

Valid values are `disabled`, `enabled`. 

[Back to overview of ora_home_option](#attributes)

### partitioning<a name='ora_home_option_partitioning'>


This resource allows you to manage(enable/disable) the Partitioning option in an Oracle database home.

    ora_home_option { '/u01/app/oracle/product/12.1.0/db_home1':
      ...
      partitioning             => 'enabled',
      ...
    }

Valid values are `disabled`, `enabled`. 

[Back to overview of ora_home_option](#attributes)

### provider<a name='ora_home_option_provider'>

The specific backend to use for this `ora_home_option`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Enable/disable options in the Oracle kernel



[Back to overview of ora_home_option](#attributes)

### real_application_testing<a name='ora_home_option_real_application_testing'>


This resource allows you to manage(enable/disable) the Real Application Testing option in an Oracle database home.

    ora_home_option { '/u01/app/oracle/product/12.1.0/db_home1':
      ...
      real_application_testing => 'enabled',
      ...
    }

Valid values are `disabled`, `enabled`. 

[Back to overview of ora_home_option](#attributes)
