#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:commit_outcome) do
  include Puppet_X::EnterpriseModules::Oracle::ServiceProperty

  desc <<-EOD
    Enable Transaction Guard; when set to `true`, the commit outcome for a transaction is accessible after the transaction's session fails due to a recoverable outage.

    Here is an example on how to use this:

        ora_service{'my_service':
          ...
          commit_outcome => false,
          ...
        }

    Puppet provides no default value. But Oracle might, depending on your version.

    This is a cluster only property. On single node database this property will be ignored. If you use it,
    Puppet will issue a warning.

  EOD

  column_name 'Commit Outcome'
  newvalues(:true, :false)
end
