#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:failover_restore) do
  include EasyType::Mungers::Upcase
  include Puppet_X::EnterpriseModules::Oracle::ServiceProperty

  desc <<-EOD
    For Application Continuity, when you set the failover_restore property, session states are restored before replaying.
    Use LEVEL1 for ODP.NET and Java with Application Continuity to restore the initial state. 

    Here is an example on how to use this:

        ora_service{'my_service':
          ...
          failover_restore => 'LEVEL1',
          ...
        }

    Puppet provides no default value. But Oracle might, depending on your version.

    This is a cluster only property. On single node database this property will be ignored. If you use it,
    Puppet will issue a warning.

  EOD

  column_name 'Failover restore'
  newvalues(:NONE, :LEVEL1, :none, :level1)
end
