#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:retention) do
  include Puppet_X::EnterpriseModules::Oracle::ServiceProperty
  include EasyType::Validators::Integer
  include EasyType::Mungers::Integer

  desc <<-EOD
    If commit_outcome is set to `true`, then this parameter determines the amount of time (in seconds) that the commit outcome is retained in the database. 

    Here is an example on how to use this:

        ora_service{'my_service':
          ...
          retention => 300,
          ...
        }

    Puppet provides no default value. But Oracle might, depending on your version.

    This is a cluster only property. On single node database this property will be ignored. If you use it,
    Puppet will issue a warning.

  EOD

  column_name 'Retention'
end
