#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:stopoption) do
  include Puppet_X::EnterpriseModules::Oracle::ServiceProperty

  desc <<-EOD
    Specify the mode in which the service is stopped. If you set this property on the service,
    then this value is used if you do not set the value on the command line.

    Here is an example on how to use this:

        ora_service{'my_service':
          ...
          stopoption => 'IMMEDIATE',
          ...
        }

    Puppet provides no default value. But Oracle might, depending on your version.

    This is a cluster only property. On single node database this property will be ignored. If you use it,
    Puppet will issue a warning.

  EOD

  column_name 'Stop option'
  newvalues(:NONE, :IMMEDIATE, :TRANSACTIONAL, :none, :immediate, :transactional)

  def insync?(_is)
    provider.stopoption.casecmp(resource.stopoption.to_s) != 0 ? false : true
  end
end
